# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Pod/ParseLink.pm) perl(parent.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-String-Diff
Version:        0.06
Release:        alt1_2
Summary:        Simple diff to String
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/String-Diff/
Source0:        http://www.cpan.org/authors/id/Y/YA/YAPPO/String-Diff-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(Module/Install/TestBase.pm)
# Run-time
BuildRequires:  perl(Algorithm/Diff.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Exporter.pm)
# Tests
BuildRequires:  perl(Test/Base.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(YAML.pm)
# required, but not automatically detected
Requires:       perl(Algorithm/Diff.pm)
Source44: import.info

%description
String::Diff is the difference of a consecutive string is made. after
general diff is done, the difference in the line is searchable.

%prep
%setup -q -n String-Diff-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_2
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_1
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_9
- fc import

